EventBufferEvent::write
About buffer event callbacks
EventBufferEvent
PHP Manual

# EventBufferEvent::writeBuffer

(PECL event >= 1.2.6-beta)

EventBufferEvent::writeBuffer — Adds contents of the entire buffer to a buffer event's output buffer

### Description

public bool EventBufferEvent::writeBuffer ( EventBuffer `$buf` )

Adds contents of the entire buffer to a buffer event's output buffer

### Parameters

`buf`

  Source EventBuffer object.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBufferEvent::write() - Adds data to a buffer event's output buffer

EventBufferEvent::write
About buffer event callbacks
EventBufferEvent
PHP Manual